import { digitToChinese } from '@/utils/transform';

// 练习名称
export const exerciseNames = { select: '选择题', fill: '填空题', judge: '判断题' };

// 题型选项
export const questionTypeOption = [
  {
    value: 'base',
    label: '基础题型',
    children: [
      { value: 'select', label: '选择题' }
      // { value: 'judge', label: '判断题' }
    ]
  }
];

// 选项类型
export const optionTypeList = [
  { value: 'letter', label: '字母' },
  { value: 'number', label: '数字' },
  { value: 'chinese', label: '中文数字' }
];

// 计算选项方法
export const computeOptionMethods = {
  [optionTypeList[0].value]: (i) => String.fromCharCode(97 + i),
  [optionTypeList[1].value]: (i) => i + 1,
  [optionTypeList[2].value]: (i) => digitToChinese(i + 1)
};

// 题干类型
export const stemTypeList = [
  { value: 'text', label: '纯文本' },
  { value: 'rich', label: '富文本' }
];

// 分值类型
export const scoreTypeList = [
  { value: 'aggregate', label: '总分' },
  { value: 'subdivision', label: '细分' }
];

// 选择类型
export const selectTypeList = [
  { value: 'single', label: '单选' },
  { value: 'multiple', label: '多选' }
];

// 开关选项
export const switchOption = [
  { value: true, label: '开启' },
  { value: false, label: '关闭' }
];

// 题号类型
export const questionNumberTypeList = [
  { value: 'recalculate', label: '重新计算' },
  { value: 'follow', label: '跟随上题' }
];
