import {
  optionTypeList,
  stemTypeList,
  selectTypeList,
  scoreTypeList,
  questionTypeOption,
  questionNumberTypeList
} from './common';
import { getRandomNumber } from '@/utils/index';

// 选择题数据模板
export const selectData = {
  type: 'select', // 题型
  stem: '', // 题干
  option_type: optionTypeList[0].value, // 选项类型
  describe: '', // 描述
  options: [
    { content: '', mark: getRandomNumber() },
    { content: '', mark: getRandomNumber() },
    { content: '', mark: getRandomNumber() }
  ], // 选项
  file_id_list: [], // 文件 id 列表
  answer: { select_list: [], score: 0, item_score: 0 }, // 答案
  // 题型设置
  setting: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: 1, // 题号
    question_number_type: questionNumberTypeList[0].value, // 题号类型
    is_describe: false, // 描述
    select_type: selectTypeList[0].value, // 选择类型
    is_hear: true, // 是否听力
    score: 1, // 分值
    score_type: scoreTypeList[0].value // 分值类型
  }
};

// 选择题类型
export const selectType = [questionTypeOption[0].value, questionTypeOption[0].children[0].value];
